__gnu_parallel::__min_element_reduct< _Compare, _It >(3)

NAME
__gnu_parallel::__min_element_reduct< _Compare, _It > - Reduction for finding the maximum element, using a comparator.

SYNOPSIS

  Public Member Functions
__min_element_reduct (_Compare &__c)
_It operator() (_It __x, _It __y)

  Public Attributes
_Compare & __comp

Detailed Description

  template<typename _Compare, typename _It>
struct __gnu_parallel::__min_element_reduct< _Compare, _It >" Reduction for finding the maximum element, using a comparator.

Definition at line 307 of file for_each_selectors.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.